openSUSE-SU-2021:0409-1: important: Security update for stunnel

openSUSE Security Update: Security update for stunnel ______________________________________________________________________________ Announcement ID: openSUSE-SU-2021:0409-1 Rating: important References: #1177580 #1182529 Cross-References: CVE-2021-20230 CVSS scores: CVE-2021-20230 (NVD) : 7.5 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:N/A:N CVE-2021-20230 (SUSE): 7.5 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:N/A:N Affected Products: openSUSE Leap 15.2 ______________________________________________________________________________ An update that solves one vulnerability and has one errata is now available. Description: This update for stunnel fixes the following issues: - Security fix: [bsc#1177580, bsc#1182529, CVE-2021-20230] * “redirect” option does not properly handle “verifyChain = yes” This update was imported from the SUSE:SLE-15-SP2:Update update project. Patch Instructions: To install this openSUSE Security Update use the SUSE recommended installation methods like YaST online_update or “zypper patch”. Alternatively you can run the command listed for your product: - openSUSE Leap 15.2: zypper in -t patch openSUSE-2021-409=1 Package List: - openSUSE Leap 15.2 (noarch): stunnel-doc-5.57-lp152.2.6.1 - openSUSE Leap 15.2 (x86_64): stunnel-5.57-lp152.2.6.1 stunnel-debuginfo-5.57-lp152.2.6.1 stunnel-debugsource-5.57-lp152.2.6.1 References: https://www.suse.com/security/cve/CVE-2021-20230.html https://bugzilla.suse.com/1177580 https://bugzilla.suse.com/1182529

More…